Bug 742083 - US47: User and team administration rights for my language team defined for the translation team coordinator
Summary: US47: User and team administration rights for my language team defined for th...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic, Component-UI   
(Show other bugs)
Version: 1.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Sprint-28
: 1.4.2
Assignee: Carlos Munoz
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On: 742854
Blocks: 693610 736898 Zanata-1.4.2
TreeView+ depends on / blocked
 
Reported: 2011-09-29 00:29 UTC by Carlos Munoz
Modified: 2011-10-28 07:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 8
Clone Of:
Environment:
Last Closed: 2011-10-28 07:02:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Munoz 2011-09-29 00:29:50 UTC
Tasks to complete:

- Contact Admin as an action on the Help page
- admin/coordinator page to add/remove coordinators from language team
   - security rule so that coordinators are translators
- Contact Coordinator(s) - send arbitrary email to language co-ordinator(s)
   - available to any logged-in user
   - emails all coordinators for the language team
   - sends to system-configured email address if no coordinator
   - emails to have link directly to language team page
- coordinator page to list/add/remove users from language team
- the above two pages' functionality may be combined with existing team page
- Ask to Join Language Team - generate template email when joining team
- Join Language Team - now only enabled for admin

Comment 1 David Mason 2011-10-06 04:12:12 UTC
Remaining tasks:

- Contact Coordinator(s) - send arbitrary email to language co-ordinator(s)
   - available to any logged-in user
   - emails all coordinators for the language team
   - sends to system-configured email address if no coordinator
   - emails to have link directly to language team page

- Ask to Join Language Team - generate template email when joining team

Comment 2 David Mason 2011-10-12 04:51:32 UTC
Merged into 1.4 branch

Comment 3 Ding-Yi Chen 2011-10-17 00:54:45 UTC
- admin/coordinator page to add/remove coordinators from language team
   - security rule so that coordinators are translators

Which one does it means?
1. Once assigned as coordinators, the user automatically gains "translator" role.
2. A user need to have translator role to be able to be added as coordinator
  (and be able to be shown in "Find Users To Add" dialog).

The other are VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111014-1722)

Comment 4 Sean Flanigan 2011-10-17 05:40:17 UTC
Number 1, more or less.  We should write security rules (in security.drl) so that language coordinators will be allowed to add/modify/upload translations for their languages.  While we're at it, we should refactor some of the existing security checks to go through security.drl.

Comment 5 Carlos Munoz 2011-10-20 03:18:39 UTC
Added security rules to allow language team coordinators to add/modify translations. Also refactored all the tags that render conditionally based on permissions to use the security rules instead of business logic (Only for the language team page). We should probably do a sweep of the whole application looking for places where we can use security rules instead of manually validating access via business methods.

Comment 7 Carlos Munoz 2011-10-20 04:09:14 UTC
Merged into 1.4 branch.

Comment 9 Ding-Yi Chen 2011-10-21 01:09:14 UTC
On Zanata version 1.4.2-SNAPSHOT (20111021-1030)
The non-admin team member still cannot translate.

RE-ASSIGNED

Comment 10 Carlos Munoz 2011-10-21 02:10:11 UTC
Corrected security check in the Translation Unit Handler to do a check based on the language memberships.

Merged into 1.4 branch.

Comment 11 Carlos Munoz 2011-10-21 03:34:00 UTC
Corrected security check in the Translation Unit Handler to do a check based on the language memberships.

Merged into 1.4 branch.

Comment 12 Ding-Yi Chen 2011-10-21 04:11:40 UTC
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111021-1207)


Note You need to log in before you can comment on or make changes to this bug.